Loading...
Searching...
No Matches
generic_binary_traits< plus >::hint< undeterminated_basic< A1 >, A2, R >

## Detailed Description

Definition at line 483 of file expression.h.

## Public Types

typedef std::conditional< details::is_equal< A2, R >::value, R, binop_error< details::plus, A1, A2, R > >::type | first_argument_type
typedef A2 | second_argument_type
typedef R | result_type

## Member Typedef Documentation

## first_argument_type

typedef std::conditional<details::is_equal<A2,R>::value,R,binop_error<details::plus,A1,A2,R>>::type first_argument_type

Definition at line 488 of file expression.h.

## second_argument_type

typedef A2 second_argument_type

Definition at line 489 of file expression.h.

## result_type

typedef R result_type

Definition at line 490 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/expression.h